%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define POLICYCOREUTILSVER 2.0.78-3

Name:           ipa-client
Version:        2.0
Release:        2%{?date}%{?dist}
Summary:        IPA authentication for use on clients

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.freeipa.org/
# The source was created from the freeipa git repo with:
# git clone --quiet git://git.fedorahosted.org/git/freeipa.git freeipa-2.0
# cd freeipa-2.0
# rm -rf .git
# cd ..
# tar czvf freeipa-2.0.tar.gz freeipa-2.0
# This tree is git tag: 29f243bf4e2f6cd82362849872d1481dab8543b8
Source0:        freeipa-%{version}.tar.gz
Source1:        __init__.py
Patch1:         ipa-client-install.patch
Patch2:         ipa-sssd.patch
Patch3:         ipa-rmkeytab.patch
Patch4:         ipa-nss_ldap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openldap-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  krb5-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-krbV
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  popt-devel
BuildRequires:  selinux-policy-devel >= 2.4.6-134
BuildRequires:  m4
BuildRequires:  xmlrpc-c-devel
BuildRequires:  curl-devel

Requires: python-ldap
Requires: python-krbV
Requires: cyrus-sasl-gssapi
Requires: ntp
Requires: krb5-workstation
Requires: krb5-libs
Requires: authconfig
Requires: pam_krb5
Requires: nss-pam-ldapd
Requires: wget
Requires: sssd
Requires: certmonger
Requires: policycoreutils >= %{POLICYCOREUTILSVER}
Requires: authconfig

%description
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof).

%prep
%setup -n freeipa-%{version} -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="$CFLAGS %{optflags}"
export CPPFLAGS="$CPPFLAGS %{optflags}"
make version-update
#touch daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
#touch install/NEWS install/README install/AUTHORS install/ChangeLog
cd ipa-client; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir} --with-openldap; cd ..
#cd daemons; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..
#cd install; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..

make IPA_VERSION_IS_GIT_SNAPSHOT=no %{?_smp_mflags} client
cd selinux

%install
rm -rf %{buildroot}
make client-install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_localstatedir}/lib/ipa-client/sysrestore

# Undo the ipa-python install and copy the files we need
mkdir %{buildroot}/%{python_sitelib}/ipaclient/ipapython
mv %{buildroot}/%{python_sitelib}/ipapython/sysrestore.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 
mv %{buildroot}/%{python_sitelib}/ipapython/ipautil.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 
mv %{buildroot}/%{python_sitelib}/ipapython/version.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 
mv %{buildroot}/%{python_sitelib}/ipapython/dnsclient.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 
mv %{buildroot}/%{python_sitelib}/ipapython/ipavalidate.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 
mv %{buildroot}/%{python_sitelib}/ipapython/config.* %{buildroot}/%{python_sitelib}/ipaclient/ipapython 

cp %SOURCE1 %{buildroot}/%{python_sitelib}/ipaclient/ipapython
rm -rf %{buildroot}/%{python_sitelib}/ipapython
rm -rf %{buildroot}/%{python_sitelib}/ipalib
rm -rf %{buildroot}/%{python_sitelib}/*.egg-info

# So we can own our configuration file
mkdir -p %{buildroot}/%{_sysconfdir}/ipa
/bin/touch %{buildroot}/%{_sysconfdir}/ipa/default.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_sbindir}/ipa-client-install
%{_sbindir}/ipa-getkeytab
%{_sbindir}/ipa-rmkeytab
%{_sbindir}/ipa-join
%dir %{_usr}/share/ipa
%dir %{_usr}/share/ipa/ipaclient
%dir %{_localstatedir}/lib/ipa-client
%dir %{_localstatedir}/lib/ipa-client/sysrestore
%{_usr}/share/ipa/ipaclient/ipa.cfg
%{_usr}/share/ipa/ipaclient/ipa.js
%dir %{python_sitelib}/ipaclient
%dir %{python_sitelib}/ipaclient/ipapython
%{python_sitelib}/ipaclient/*.py*
%{python_sitelib}/ipaclient/ipapython/*.py*
%{_mandir}/man1/ipa-getkeytab.1.gz
%{_mandir}/man1/ipa-rmkeytab.1.gz
%{_mandir}/man1/ipa-client-install.1.gz
%{_mandir}/man1/ipa-join.1.gz
%ghost %config(noreplace) %{_sysconfdir}/ipa/default.conf

%changelog
* Wed Jan 27 2010 Rob Crittenden <rcritten@redhat.com> - 2.0-2
- Remove some commented-out Requires
- Replace Requires on nss_ldap with nss-pam-ldapd (#559004)
- Add patch to attempt to configure a number of nss_ldap related files
  if installed and configure nslcd.conf if installed (#559004)

* Wed Dec  2 2009 Rob Crittenden <rcritten@redhat.com> - 2.0-1
- Initial spec
- policycoreutils version set to 2.0.78-3 to fix problem with
  restorecon returning 1 in non-failure cases.
